<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gazelle="http://www.ihe.net/gazelle" xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:param name="pageNameUrl" value="/hl7v2Result.seam"/>
    <ui:param name="pageNameTitle" value="#{messages['net.ihe.gazelle.evs.HL7v2ValidationResult']}"/>

    <ui:define name="header">
        <h:outputScript library="jscript" name="tooltip.js"/>
        <h:outputStylesheet library="stylesheet" name="extraxml.css"/>
        <link href="/xsl/EVSClient/resultStyle.css" rel="stylesheet" type="text/css" media="screen"/>
        <link href="/xsl/EVSClient/common/filteredreport.css" rel="stylesheet" type="text/css" media="screen"/>
        <script type="text/javascript" src="/xsl/EVSClient/common/commonfilteredreport.js"/>
        <script type="text/javascript" src="/xsl/EVSClient/hl7v2/hl7filteredreport.js"/>
    </ui:define>

    <ui:define name="body">
        <h:form id="resultForm">
            #{hl7ResultDisplay.initFromUrl()}
            <ui:include src="/hl7v2/detailedResult.xhtml"/>
        </h:form>
    </ui:define>
</ui:composition>
